Skip to main content
`Ctrl`+`K`

# MatHIPSPARSESetFormat

Sets the storage format of `MATSEQHIPSPARSE` matrices for a particular operation. Only the `MatMult()` operation can use different GPU storage formats

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHIPSPARSESetFormat(Mat A, MatHIPSPARSEFormatOperation op, MatHIPSPARSEStorageFormat format)

Not Collective

## Input Parameters

- A - Matrix of type `MATSEQAIJHIPSPARSE`

- op - `MatHIPSPARSEFormatOperation`. `MATSEQAIJHIPSPARSE` matrices support `MAT_HIPSPARSE_MULT` and `MAT_HIPSPARSE_ALL`. `MATMPIAIJHIPSPARSE` matrices support `MAT_HIPSPARSE_MULT_DIAG`, `MAT_HIPSPARSE_MULT_OFFDIAG`, and `MAT_HIPSPARSE_ALL`.

- format - `MatHIPSPARSEStorageFormat` (one of `MAT_HIPSPARSE_CSR`, `MAT_HIPSPARSE_ELL`, `MAT_HIPSPARSE_HYB`.)

## See Also

Matrices, `Mat`, `MATSEQAIJHIPSPARSE`, `MatHIPSPARSEStorageFormat`, `MatHIPSPARSEFormatOperation`

## Level

intermediate

## Location

src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx

## Implementations

MatHIPSPARSESetFormat_MPIAIJHIPSPARSE() in src/mat/impls/aij/mpi/mpihipsparse/mpiaijhipsparse.hip.cxx
MatHIPSPARSESetFormat_SeqAIJHIPSPARSE() in src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages